# eth_getTransactionByHash: Parameter, Rückgabewerte und CU

> Source: https://docs.blockvectra.com/de/api/json-rpc/methods/eth_getTransactionByHash/

## Übersicht

Gibt eine Transaktion anhand ihres Hashes zurück.

## Compute Units (CU) und Preise

- CU pro Aufruf: 10 CU
- Preis pro 1M Aufrufe (USD): $1.00

## Parameter

| Parameter | Typ | Beschreibung |
| --- | --- | --- |
| `transactionHash` | `HASH` | 32-Byte-Transaktions-Hash als hexadezimale Zeichenfolge mit Präfix 0x. |

## Rückgabewerte

- **Typ**: `OBJECT|NULL`
- **Beschreibung**: Transaktionsobjekt einschließlich seines Blockkontexts; null, wenn die Transaktion unbekannt ist.

## Hinweise

Eine ausstehende Transaktion befindet sich möglicherweise bereits im Pool, ihre Blockfelder bleiben jedoch leer, bis sie in einen Block aufgenommen wird.

## Anfragebeispiel

```bash
export BLOCKVECTRA_API_KEY=rgw_your_api_key

curl -X POST "https://api.blockvectra.com/v1/robinhood_mainnet" \
  -H 'Content-Type: application/json' \
  -H "x-api-key: $BLOCKVECTRA_API_KEY" \
  -d '{
    "jsonrpc": "2.0",
    "method": "eth_getTransactionByHash",
    "params": [
      "<transactionHash>"
    ],
    "id": 1
  }'
```

## Unterstützte Chains

Verfügbar auf allen 9 unterstützten Chains.
